aboutsummaryrefslogtreecommitdiffstats
path: root/testing/clapf/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2011-05-17 19:41:44 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2011-05-17 19:42:17 +0000
commitbdaf29c68ca9a14cb2adcbc944f26d59187c7743 (patch)
tree74415c3e8dfba7ba438e4a6e76d3613a096f04f9 /testing/clapf/APKBUILD
parent0038c58e264285009c7e1d3b0f8e396713882f5c (diff)
downloadaports-bdaf29c68ca9a14cb2adcbc944f26d59187c7743.tar.gz
aports-bdaf29c68ca9a14cb2adcbc944f26d59187c7743.tar.bz2
aports-bdaf29c68ca9a14cb2adcbc944f26d59187c7743.tar.xz
testing/clapf: new aport
Diffstat (limited to 'testing/clapf/APKBUILD')
-rw-r--r--testing/clapf/APKBUILD67
1 files changed, 67 insertions, 0 deletions
diff --git a/testing/clapf/APKBUILD b/testing/clapf/APKBUILD
new file mode 100644
index 0000000000..5081192831
--- /dev/null
+++ b/testing/clapf/APKBUILD
@@ -0,0 +1,67 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=clapf
+pkgver=0.4.6_rc3
+_realver=0.4.6-rc3
+pkgrel=0
+pkgdesc="clapf is an open source email content filter application"
+url="http://clapf.acts.hu"
+arch="all"
+license="as-is"
+depends=
+depends_dev="gsl-dev sqlite-dev clamav-dev zlib-dev"
+makedepends="$depends_dev"
+install="$pkgname.pre-install"
+pkgusers="clapf"
+subpackages="$pkgname-dev"
+source="http://clapf.acts.hu/clapf-$_realver.tar.gz
+ $pkgname.confd
+ $pkgname.initd"
+
+_builddir="$srcdir/$pkgname-$_realver"
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ #temp use sqlite for testing
+ #probably better to update to mysql
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --enable-libclamav \
+ --with-tokendb=sqlite3 \
+ --with-userdb=sqlite3 \
+ --enable-lmtp \
+ --with-store=fs \
+ --enable-blackhole \
+ --enable-rbl \
+ --enable-policy \
+ --enable-whitelist \
+ --with-clapf-user=clapf
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install || return 1
+ install -Dm755 "$srcdir/$pkgname".initd \
+ "$pkgdir/etc/init.d/$pkgname" || return 1
+ install -Dm644 "$srcdir/$pkgname".confd \
+ "$pkgdir/etc/cond.d/$pkgname" || return 1
+ install -do $pkgname "$pkgdir"/var/run/clapf || return 1
+}
+
+md5sums="7850eb8b75988f3944f2b69b9e3b0c4d clapf-0.4.6-rc3.tar.gz
+385318b45b2bccdd76fd312576380735 clapf.confd
+263283c96608d696cd5e9eb9de921b16 clapf.initd"